/**
 * Copyright (c) Cisco Systems, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 */
import "../label/Label";
import { LitElement } from "lit";
export declare const alignLabel: readonly ["left", "right"];
export declare namespace ToggleSwitch {
    export type alignLabel = (typeof alignLabel)[number];
    const ELEMENT_base: import("../../mixins/FocusMixin").FocusMixinReturnType<typeof LitElement>;
    export class ELEMENT extends ELEMENT_base {
        htmlId: string;
        label: string;
        description: string | undefined;
        checked: boolean;
        disabled: boolean;
        small: boolean;
        smaller: boolean;
        alignLabel: ToggleSwitch.alignLabel;
        autofocus: boolean;
        handleClick(): void;
        get toggleSwitchClassMap(): {
            "md-toggle-switch--small": boolean;
            "md-toggle-switch--smaller": boolean;
        };
        switchTemplate(): import("lit-html").TemplateResult<1>;
        render(): import("lit-html").TemplateResult<1>;
        static get styles(): import("lit").CSSResult[];
    }
    export {};
}
declare global {
    interface HTMLElementTagNameMap {
        "md-toggle-switch": ToggleSwitch.ELEMENT;
    }
}
